/*
 * Menus.
 */

#ifndef HR_MENUS
#define HR_MENUS
extern struct hr_menu  {
	int flags;
	struct hr_zone  *zone;
	struct hr_color *colors;
	struct hr_font  *font;
	unsigned char   *title;
	struct hr_menu_item  *firstitem;
}dummy_menu;

extern struct hr_menuitem  {
	int flags;
	struct hr_menu      *sub;
	struct hr_menu_item *next;
	struct hr_button    *menubutton;
}dummy_menuitem;

extern struct hr_menu_on_screen{
	int flags;
	struct hr_menu_on_screen *prev;
	struct hr_menu_on_screen *next;
	struct hr_menu *menu;
}dummy_menu_on_screen;

extern struct hr_menu *hr_create_menu();
extern struct hr_menuitem *hr_create_menuitem();
extern void   hr_menu_open(struct hr_menu *menu);
extern void   hr_menu_close(struct hr_menu *menu);
extern struct hr_menu *hr_delete_menu(struct hr_menu *menu);
extern void   hr_add_item_to_menu(struct hr_menu *menu,
											 struct hr_menuitem *item);
#endif
